

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-track {
  background-color: #2c2c31;
}

::-webkit-scrollbar-thumb {
  background: linear-gradient(#19f7fd, #7e78ff, #ea15ff);
}

@keyframes entering {
  from { 
    opacity: 0;
    transform: translateY(-200px);
  }
  to { 
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes entering2 {
  0% { 
    opacity: 0;
  }
  100% { 
    opacity: 1;
  }
}

@keyframes entering3 {
  0% { 
    opacity: 0.5;
  }
  100% { 
    opacity: 1;
  }
}

body {
  font-family: Arial, sans-serif;
  background-color: #f4f8fb;
  color: #333;
  margin: 0%;

  background-image: url("./assets/space.gif");
  background-position: top right;
  background-repeat:repeat-y;
  background-size: 100%;
  animation: entering 1.0s ease-in-out;
}

header {
  margin: 9px;

  background-image: url("./assets/fuguete.png"); 
  background-position: top;
  background-repeat: no-repeat;
  background-size: auto 100%;

  color: #fff;
  margin-top:25px ;

  display: flex;
  
  align-items: center;

  animation: entering 1.0s ease-in-out;
}

h1 {
  font-family: Righteous, Serif;
  font-size: 200%;
  text-decoration: none;
}

h2 {
  color:#19f7fd;
  font-size: 145%;
  font-family: Bruno Ace, Serif;
  text-decoration: none;
}



nav ul {
  list-style: none;
  margin: 0;
  padding: 0.4%;
  display: flex;
  justify-content: center;

  background: linear-gradient(#2d2d2d,#494949);
}

nav li {
  margin-right: 20px;
}

nav li:last-child {
  margin-right: 0;
}

nav a {
  font-size: 150%;
  font-family: Teko;
  color: #fff;
  text-decoration: none;
}

/* Estilos para os botões */
.meuBotao {
  width: 450px;
  height: 450px;

  background-image: url("./assets/planeta.png");
  background-position: top right;
  background-repeat: no-repeat;
  background-size: 100%;

  
  align-items: center;
  justify-content: center;
  text-align: center;
  margin: 10px;
}

.meu-botao {
  display: inline-block;
  margin: 6.5%;
  margin-bottom: 6% ;
  padding: 12px 24px;
  font-size: 16px;
  font-weight: bold;
  text-decoration: none;
  color: #fff;
  background-image: linear-gradient(45deg, #19f7fd, #7e78ff, #ea15ff);
  border-radius: 6px;
  border: none;
  transition: background-color 0.3s ease;
}

/* Estilos para a grade de botões em desktops */
.grid-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 25px; /* espaço entre os botões */
}

.meuBotao p {
  margin: 0;
  font-size: 14px;
  color: #ea15ff;
  font-family: Abril Fatface, Serif;
}

/* Estilos para o subtítulo */

.transparente {
  height: 250px;
  width: 1px;
}

footer {
  background: linear-gradient(#2d2d2d,#494949);
  color: #fff;
  padding: 1px;
}

main{
 animation: entering 0.9s ease-in-out;
}

main h{
  font-family: Bebas Neue;
  font-size: 50px; 
}

main a {
  text-decoration: none;
}

/* Defina um elemento de plano de fundo com gradiente */
.gradiente-fundo {
  
  background-image: linear-gradient(45deg, #19f7fd, #7e78ff, #ea15ff);
  -webkit-background-clip: text; /* Define a área do plano de fundo que será mostrada como o texto */
  -webkit-text-fill-color: transparent; /* Torna o texto invisível */
}

/* Aplique a máscara para ocultar o gradiente fora do texto */
.gradiente-mascara {
  background-image: linear-gradient(to right, transparent, transparent);
  -webkit-background-clip: text;
  -webkit-text-fill-color: initial;
}

.titulo {

  color: #fff;
  padding: 1px;
  display: flex;
  justify-content: space-between;
  align-items: center;

  margin: 3.5%;
  margin-left: 9%;
  margin-right: 9%;
  border-radius: 235px;

  border: 4px solid transparent;

  background: -webkit-radial-gradient(rgb(24, 24, 24), rgb(83, 83, 83))  padding-box;
  background: radial-gradient(rgb(24, 24, 24), rgb(83, 83, 83))  padding-box,
    linear-gradient(260deg, #19f7fd, #7e78ff, #ea15ff) border-box;

  padding: 45px;
  padding-left:80px ;
  padding-top: 10px;
  padding-bottom: 10px;

}

center h2{
  margin: 2%; 
  margin-top: 7%;
}

center img{
  margin: 2%;
}



aside {

  margin: 3.5%;
  margin-bottom: 8%;
  padding: 1.8%;
  border-radius: 80px;

  border: 4px solid transparent;

  background: -webkit-radial-gradient(rgb(19, 19, 19), rgb(61, 61, 61)) padding-box;
  background: radial-gradient(rgb(19, 19, 19), rgb(61, 61, 61)) padding-box,
  
    linear-gradient(260deg, #19f7fd, #7e78ff, #ea15ff) border-box;
  
}

aside p{
  margin: 2%;
  text-align: justify;
  font-size: 120%;
  color: white;
}

aside h1{
  
  margin-top: 4%;
  margin-bottom: 4% ;
  margin-left: 10%;
  margin-right: 10%;

  border-radius: 15px;
  border: 4px solid transparent;
  background: linear-gradient(transparent, transparent) padding-box,
    linear-gradient(260deg, #19f7fd, #7e78ff, #ea15ff) border-box;

  color:white;
  text-align: center;
}

aside h2{
  color:white;
   }


@media (max-width: 1200px) {
  .grid-container {
    grid-template-columns: repeat(2, 1fr);
  }

  .titulo {
  
    margin-left: 6%;
  margin-right: 6%;
  }
  .meu-botao {
  margin: 6.5%;
  margin-bottom: 10% ;
}

center h2{
  margin: 5%; 
  margin-top: 10%;
}

center img{
  margin: 2%;
}

  nav a {
    font-size: 365%;
      padding-left:30px ;
      padding-right:30px ;
  }

  main h{
    font-family: Bebas Neue;
    font-size: 40px; 
  }

  .transparente {
    height: 230px;
    width: 0px;
  }
}
